/*                                                                                                            
 * Copyright (c) 2001 EU DataGrid.                                                                             
 * For license conditions see http://www.eu-datagrid.org/license.html                                          
 *
 * Copyright (c) 2001, 2002 by 
 *     Martijn Steenbakkers <martijn@nikhef.nl>,
 *     David Groep <davidg@nikhef.nl>,
 *     NIKHEF Amsterdam, the Netherlands
 */

/*!
    \file   lcmaps_db_read.h
    \brief  header file for LCMAPS database structure
    \author Martijn Steenbakkers for the EU DataGrid.

    This header contains the declarations of the LCMAPS database structure

    \internal
*/

#ifndef LCMAPS_DB_READ_H
#define LCMAPS_DB_READ_H

/******************************************************************************
                             Include header files
******************************************************************************/
#include "lcmaps_defines.h"

/******************************************************************************
                               Type definitions
******************************************************************************/
/*!
    \struct  lcmaps_db_entry_s
    \brief   LCMAPS data base element structure
    \internal
*/
/*!
    \typedef lcmaps_db_entry_t
    \brief   type of LCMAPS data base element
    \internal
*/
typedef struct lcmaps_db_entry_s
{
    char                        pluginname[LCMAPS_MAXPATHLEN+1]; /*!< Name of authorization plugin/module */
    char                        pluginargs[LCMAPS_MAXARGSTRING+1]; /*!< Argument list to be passed to authorization plugin/module */
    struct lcmaps_db_entry_s *  next;  /*!< handle to next db element */
}
lcmaps_db_entry_t;

#endif /* LCMAPS_DB_READ_H */

/******************************************************************************
CVS Information:
    $Source: /local/reps/lcgware/fabric_mgt/gridification/lcmaps/include/lcmaps_db_read.h,v $
    $Date: 2004/09/20 10:12:33 $
    $Revision: 1.2 $
    $Author: maart $
******************************************************************************/
