/*                                                                                                            
 * Copyright (c) 2001 EU DataGrid.                                                                             
 * For license conditions see http://www.eu-datagrid.org/license.html                                          
 *
 * Copyright (c) 2001, 2002 by 
 *     Martijn Steenbakkers <martijn@nikhef.nl>,
 *     David Groep <davidg@nikhef.nl>,
 *     NIKHEF Amsterdam, the Netherlands
 */

/*!
    \file   lcmaps_modules.h
    \brief  The LCMAPS authorization plugins/modules should "include" this file.
    \author Martijn Steenbakkers for the EU DataGrid.

    This file includes the header files that are needed by the LCMAPS authorization
    plugins/modules.
    \ingroup APIforLcmapsPlugins
*/
/*!
    \defgroup APIforLcmapsPlugins The API to be used by the LCMAPS plugins
    \brief The API is available by including the header lcmaps_modules.h
*/

#ifndef LCMAPS_MODULES_H
#define LCMAPS_MODULES_H

/******************************************************************************
                             Include header files
******************************************************************************/

#include <gssapi.h>
#include "lcmaps_utils.h"
#include "lcmaps_log.h"
#include "lcmaps_types.h"
#include "lcmaps_defines.h"

#endif /* LCMAPS_MODULES_H */

/******************************************************************************
CVS Information:
    $Source: /local/reps/lcgware/fabric_mgt/gridification/lcmaps/include/lcmaps_modules.h,v $
    $Date: 2004/09/20 10:12:33 $
    $Revision: 1.3 $
    $Author: maart $
******************************************************************************/
