/*                                                                                                            
 * Copyright (c) 2001 EU DataGrid.                                                                             
 * For license conditions see http://www.eu-datagrid.org/license.html                                          
 *
 * Copyright (c) 2001, 2002 by 
 *     Martijn Steenbakkers <martijn@nikhef.nl>,
 *     David Groep <davidg@nikhef.nl>,
 *     NIKHEF Amsterdam, the Netherlands
 */

/*!
    \file   lcmaps_types.h
    \brief  Public header file with typedefs for LCMAPS
    \author Martijn Steenbakkers for the EU DataGrid.
    \ingroup APIforLcmapsPlugins
*/

#ifndef LCMAPS_TYPES_H
#define LCMAPS_TYPES_H

/******************************************************************************
                             Include header files
******************************************************************************/

#include <gssapi.h>

/******************************************************************************
                               Type definitions
******************************************************************************/

/*!
    \typedef lcmaps_request_t
    \brief Type of the LCMAPS request expressed in RSL/JDL

    (Internal) just a string.
*/
typedef char *lcmaps_request_t;

/*!
    \struct lcmaps_cred_id_s
    \brief structure representing an LCMAPS credential.
*/
/*!
    \typedef lcmaps_cred_id_t
    \brief Type of LCMAPS credentials
*/
typedef struct lcmaps_cred_id_s
{
    gss_cred_id_t  cred; /*!< the original gss (globus) credential */
    char *         dn;   /*!< the user distinguished name (DN) */
}
lcmaps_cred_id_t;

#endif /* LCMAPS_TYPES_H */

/******************************************************************************
CVS Information:
    $Source: /local/reps/lcgware/fabric_mgt/gridification/lcmaps/include/lcmaps_types.h,v $
    $Date: 2004/09/20 10:12:33 $
    $Revision: 1.5 $
    $Author: maart $
******************************************************************************/
